package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.enums.FIELD_TYPE;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.Api;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.lang.reflect.Method;

/**
 * @Description :字段信息
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-11
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="APS_FIELD_INFO")
@Api("字段信息")
public class FieldInfo extends BaseCode {
    private String className;
    private FIELD_TYPE type;
    private Boolean customize;
    private Boolean modify;
    private Boolean display;
    private Integer pric;
    private String tips;
    private String expression;
    private String position;

    @JsonIgnore
    private transient Class<? extends BaseBean> clazz;
    @JsonIgnore
    private transient Class<?> typeClass;
    @JsonIgnore
    private transient Method getMethod;
    @JsonIgnore
    private transient Method setMethod;
}
