package cn.estsh.i3plus.pojo.mes.pcn.sqlpack;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.pcn.bean.MesConfig;
import cn.estsh.i3plus.pojo.mes.pcn.bean.MesLabelTemplate;
import org.apache.commons.lang3.StringUtils;

/**
 * @Description:
 * @Reference: Mes 条件封装
 * @Author: Crish
 * @CreateDate:2019-04-22-14:58
 * @Modify:
 **/
public class MesHqlPack {

    /**
     * 通用查询条件
     *
     * @param organizeCode
     * @return
     */
    public static DdlPackBean getAllBaseData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), "isValid", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_DEAL.NO.getValue(), "isDeleted", packBean);
        return packBean;
    }

    /**
     * MES PCN系统配置信息条件查询
     *
     * @param mesConfig
     * @return
     */
    public static DdlPackBean getMesConfig(MesConfig mesConfig, String organizeCode) {
        DdlPackBean packBean = getAllBaseData(organizeCode);
        if (StringUtils.isNotEmpty(mesConfig.getCfgCode())) {
            DdlPreparedPack.getStringLikerPack(mesConfig.getCfgCode(), "cfgCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesConfig.getCfgName())) {
            DdlPreparedPack.getStringLikerPack(mesConfig.getCfgName(), "cfgName", packBean);
        }
        if (mesConfig.getIsValid() != null) {
            DdlPreparedPack.getNumEqualPack(mesConfig.getIsValid(), "isValid", packBean);
        }
        return packBean;
    }

    /**
     * 根据打印模板的模板代码查询模板信息
     * @param organizeCode
     * @param mesLabelTemplate
     * @return
     */
    public static DdlPackBean getLabelTemplate(String organizeCode, MesLabelTemplate mesLabelTemplate) {
        DdlPackBean packBean = DdlPackBean.getDdlPackBean();
        DdlPreparedPack.getStringEqualPack(mesLabelTemplate.getTemplateCode(), "templateCode", packBean);
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        return packBean;
    }

}
