package cn.estsh.i3plus.pojo.mes.sqlpack;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.enumutil.MesEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.*;
import org.apache.commons.lang3.StringUtils;

/**
 * @Description:
 * @Reference: Mes 条件封装
 * @Author: Crish
 * @CreateDate:2019-04-22-14:58
 * @Modify:
 **/
public class MesHqlPack {

    /**
     * 通用查询条件
     *
     * @param organizeCode
     * @return
     */
    public static DdlPackBean getAllBaseData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_DEAL.NO.getValue(), "isDeleted", packBean);
        return packBean;
    }

    public static DdlPackBean getMesPcnByCondition(MesPcn mesPcn, String organizeCode) {
        DdlPackBean packBean = getAllBaseData(organizeCode);
        if (StringUtils.isNotEmpty(mesPcn.getConnectIp())) {
            DdlPreparedPack.getStringLikerPack(mesPcn.getConnectIp(), "connectIp", packBean);
        }
        if (StringUtils.isNotEmpty(mesPcn.getPcnName())) {
            DdlPreparedPack.getStringLikerPack(mesPcn.getPcnName(), "pcnName", packBean);
        }
        if (StringUtils.isNotEmpty(mesPcn.getPcnCode())) {
            DdlPreparedPack.getStringLikerPack(mesPcn.getPcnCode(), "pcnCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesPcn.getAreaCode())) {
            DdlPreparedPack.getStringLikerPack(mesPcn.getAreaCode(), "areaCode", packBean);
        }
        if (mesPcn.getIsValid() != null) {
            DdlPreparedPack.getNumEqualPack(mesPcn.getIsValid(), "isValid", packBean);
        }
        return packBean;
    }

    /**
     * 生产计划查询条件封装
     *
     * @param mesPlanOrder
     * @return
     */
    public static DdlPackBean getPlanOrderCondition(MesPlanOrder mesPlanOrder, String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), "isValid", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_DEAL.NO.getValue(), "isDeleted", packBean);

        if (StringUtils.isNotEmpty(mesPlanOrder.getOrderNo())) {
            DdlPreparedPack.getStringLikerPack(mesPlanOrder.getOrderNo(), "orderNo", packBean);
        }
        if (StringUtils.isNotEmpty(mesPlanOrder.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(mesPlanOrder.getPartNo(), "partNo", packBean);
        }
        if (StringUtils.isNotEmpty(mesPlanOrder.getPlanType() + "") && mesPlanOrder.getPlanTypeVal() != 0) {
            DdlPreparedPack.getNumEqualPack(mesPlanOrder.getPlanType(), "planType", packBean);
        }
        if (StringUtils.isNotEmpty(mesPlanOrder.getStatus() + "") && mesPlanOrder.getStatusVal() != 0) {
            DdlPreparedPack.getNumEqualPack(mesPlanOrder.getStatus(), "status", packBean);
        }
        if (StringUtils.isNotEmpty(mesPlanOrder.getCreateUser())) {
            DdlPreparedPack.getStringLikerPack(mesPlanOrder.getCreateUser(), "createUser", packBean);
        }

        // 时间段查询
        DdlPreparedPack.timeBuilder(
                mesPlanOrder.getStartTimeStart(),
                mesPlanOrder.getStartTimeEnd(),
                "startTime", packBean, true);
        DdlPreparedPack.timeBuilder(
                mesPlanOrder.getEndTimeStart(),
                mesPlanOrder.getEndTimeEnd(),
                "endTime", packBean, true);
        DdlPreparedPack.timeBuilder(
                mesPlanOrder.getCreateDateTimeStart(),
                mesPlanOrder.getCreateDateTimeEnd(),
                "createDatetime", packBean, true);

        // 排序
        DdlPreparedPack.getOrderDefault(mesPlanOrder);
        DdlPreparedPack.getOrderByPack(new Object[]{"2"}, new String[]{mesPlanOrder.getOrderByParam()}, packBean);
        return packBean;
    }

    /**
     * 物料信息查询条件封装
     *
     * @param mesPart
     * @return
     */
    public static DdlPackBean getPartCondition(MesPart mesPart, String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), "isValid", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_DEAL.NO.getValue(), "isDeleted", packBean);

        if (StringUtils.isNotEmpty(mesPart.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(mesPart.getPartNo(), "partNo", packBean);
        }
        if (StringUtils.isNotEmpty(mesPart.getPartName())) {
            DdlPreparedPack.getStringLikerPack(mesPart.getPartName(), "partName", packBean);
        }
        if (StringUtils.isNotEmpty(mesPart.getCategoryCode1())) {
            DdlPreparedPack.getStringEqualPack(mesPart.getCategoryCode1(), "categoryCode1", packBean);
        }
        if (StringUtils.isNotEmpty(mesPart.getCategoryCode2())) {
            DdlPreparedPack.getStringEqualPack(mesPart.getCategoryCode2(), "categoryCode2", packBean);
        }
        if (StringUtils.isNotEmpty(mesPart.getCategoryCode3())) {
            DdlPreparedPack.getStringEqualPack(mesPart.getCategoryCode3(), "categoryCode3", packBean);
        }

        DdlPreparedPack.getOrderDefault(mesPart);
        DdlPreparedPack.getOrderByPack(new Object[]{"2"}, new String[]{mesPart.getOrderByParam()}, packBean);
        return packBean;
    }

    /**
     * 生产工单查询条件封装
     *
     * @param mesWorkOrder
     * @return
     */
    public static DdlPackBean getWorkOrderCondition(MesWorkOrder mesWorkOrder, String organizeCode) {
        DdlPackBean packBean = getAllBaseData(organizeCode);
        if (StringUtils.isNotEmpty(mesWorkOrder.getOrderNo())) {
            DdlPreparedPack.getStringLikerPack(mesWorkOrder.getOrderNo(), "orderNo", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkOrder.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(mesWorkOrder.getPartNo(), "partNo", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkOrder.getWorkOrderStatus() + "") && mesWorkOrder.getWorkOrderStatusVal() != 0) {
            DdlPreparedPack.getNumEqualPack(mesWorkOrder.getWorkOrderStatus(), "workOrderStatus", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkOrder.getWorkCenterCode())) {
            DdlPreparedPack.getStringEqualPack(mesWorkOrder.getWorkCenterCode(), "workCenterCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkOrder.getWorkCellCode())) {
            DdlPreparedPack.getStringEqualPack(mesWorkOrder.getWorkCellCode(), "workCellCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkOrder.getWorkOrderType() + "") && mesWorkOrder.getWorkOrderTypeVal() != 0) {
            DdlPreparedPack.getNumEqualPack(mesWorkOrder.getWorkOrderType(), "workOrderType", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkOrder.getProdCfgCode())) {
            DdlPreparedPack.getStringEqualPack(mesWorkOrder.getProdCfgCode(), "prodCfgCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkOrder.getPlanOrderNo())) {
            DdlPreparedPack.getStringLikerPack(mesWorkOrder.getPlanOrderNo(), "planOrderNo", packBean);
        }
        if (mesWorkOrder.getIsValid() != null) {
            DdlPreparedPack.getNumEqualPack(mesWorkOrder.getIsValid(), "isValid", packBean);
        }

        // 时间段查询
//        DdlPreparedPack.timeBuilder(
//                mesWorkOrder.getStartTimeStart(),
//                mesWorkOrder.getStartTimeEnd(),
//                "startTime", packBean, true);
//        DdlPreparedPack.timeBuilder(
//                mesWorkOrder.getEndTimeStart(),
//                mesWorkOrder.getEndTimeEnd(),
//                "endTime", packBean, true);
        DdlPreparedPack.getOrderDefault(mesWorkOrder);
        DdlPreparedPack.getOrderByPack(new Object[]{"2"}, new String[]{mesWorkOrder.getOrderByParam()}, packBean);
        return packBean;
    }

    /**
     * 生产队列查询条件封装
     *
     * @param mesQueueOrder
     * @return
     */
    public static DdlPackBean getQueueOrder(MesQueueOrder mesQueueOrder, String organizeCode) {
        DdlPackBean packBean = getAllBaseData(organizeCode);
        if (StringUtils.isNotEmpty(mesQueueOrder.getCustFlagNoStart())) {
            DdlPreparedPack.getStringBiggerPack(mesQueueOrder.getCustFlagNoStart(), "custFlagNo", packBean);
        }

        if (StringUtils.isNotEmpty(mesQueueOrder.getCustFlagNoEnd() + "")) {
            DdlPreparedPack.getStringSmallerPack(mesQueueOrder.getCustFlagNoEnd(), "custFlagNo", packBean);
        }

        if (StringUtils.isNotEmpty(mesQueueOrder.getOrderNo() + "")) {
            DdlPreparedPack.getStringLikerPack(mesQueueOrder.getOrderNo(), "orderNo", packBean);
        }

        if (mesQueueOrder.getIsValid() != null) {
            DdlPreparedPack.getNumEqualPack(mesQueueOrder.getIsValid(), "isValid", packBean);
        }

        // 只查询创建状态的队列
        DdlPreparedPack.getNumEqualPack(MesEnumUtil.QUEUE_ORDER_STATUS.NORMAL.getValue(), "status", packBean);

        // 时间段查询
        DdlPreparedPack.timeBuilder(
                mesQueueOrder.getCreateDateTimeStart(),
                mesQueueOrder.getCreateDateTimeEnd(),
                "createDatetime", packBean, true);

        // DdlPreparedPack.getOrderDefault(mesQueueOrder);
        // 按照队列序列号倒序
        DdlPreparedPack.getOrderByPack(new Object[]{"2"}, new String[]{"seq"}, packBean);
        return packBean;
    }

    /**
     * 通用查询条件
     *
     * @param organizeCode
     * @return
     */
    public static DdlPackBean getAllBaseDataByNormalPro(BaseBean baseBean, String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        DdlPreparedPack.getNumEqualPack(baseBean.getIsValid(), "isValid", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_DEAL.NO.getValue(), "isDeleted", packBean);
        return packBean;
    }

    public static DdlPackBean getAllBaseDataByNormalPro(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), "isValid", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_DEAL.NO.getValue(), "isDeleted", packBean);
        return packBean;
    }

    /**
     * MES区域信息查询条件封装
     *
     * @param mesArea
     * @return
     */
    public static DdlPackBean getMesArea(MesArea mesArea, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesArea, organizeCode);
        if (StringUtils.isNotEmpty(mesArea.getAreaCode())) {
            DdlPreparedPack.getStringEqualPack(mesArea.getAreaCode(), "areaCode", packBean);
        }

        return packBean;
    }

    /**
     * MES工作中心信息查询条件封装
     *
     * @param mesWorkCenter
     * @return
     */
    public static DdlPackBean getMesWorkCenter(MesWorkCenter mesWorkCenter, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesWorkCenter, organizeCode);
        DdlPreparedPack.getStringEqualPack(mesWorkCenter.getWorkCenterCode(), "workCenterCode", packBean);
        DdlPreparedPack.getStringEqualPack(mesWorkCenter.getAreaCode(), "areaCode", packBean);
        return packBean;
    }

    /**
     * MES工作单元信息查询条件封装
     *
     * @param mesWorkCell
     * @return
     */
    public static DdlPackBean getMesWorkCell(MesWorkCell mesWorkCell, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesWorkCell, organizeCode);
        if (StringUtils.isNotEmpty(mesWorkCell.getWorkCenterCode())) {
            DdlPreparedPack.getStringEqualPack(mesWorkCell.getWorkCenterCode(), "workCenterCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkCell.getAreaCode())) {
            DdlPreparedPack.getStringEqualPack(mesWorkCell.getAreaCode(), "areaCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesWorkCell.getWorkCellCode())) {
            DdlPreparedPack.getStringEqualPack(mesWorkCell.getWorkCellCode(), "workCellCode", packBean);
        }

        return packBean;
    }

    /**
     * MES设备信息查询条件封装
     *
     * @param mesEquipment
     * @return
     */
    public static DdlPackBean getMesEquipment(MesEquipment mesEquipment, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesEquipment, organizeCode);
        if (StringUtils.isNotEmpty(mesEquipment.getWorkCellCode())) {
            DdlPreparedPack.getStringEqualPack(mesEquipment.getWorkCellCode(), "workCellCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesEquipment.getEquipmentCode())) {
            DdlPreparedPack.getStringEqualPack(mesEquipment.getEquipmentCode(), "equipmentCode", packBean);
        }

        return packBean;
    }

    /**
     * 流程查询条件封装
     *
     * @param mesRoute
     * @return
     */
    public static DdlPackBean packHqlMesRoute(MesRoute mesRoute, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesRoute, organizeCode);
        DdlPreparedPack.getStringLikerPack(mesRoute.getRouteCode(), "routeCode", packBean);
        DdlPreparedPack.getStringLikerPack(mesRoute.getRouteName(), "routeName", packBean);
        packBean.setOrderByStr(mesRoute.orderBy());
        return packBean;
    }

    /**
     * 产品流程配置查询条件封装
     *
     * @param mesProdRouteCfg
     * @param organizeCode
     * @return
     */
    public static DdlPackBean packHqlMesProdRouteCfg(MesProdRouteCfg mesProdRouteCfg, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesProdRouteCfg, organizeCode);
        DdlPreparedPack.getStringEqualPack(mesProdRouteCfg.getPartNo(), "partNo", packBean);
        DdlPreparedPack.getStringEqualPack(mesProdRouteCfg.getWorkCenterCode(), "workCenterCode", packBean);
        DdlPreparedPack.getStringEqualPack(mesProdRouteCfg.getRouteCode(), "routeCode", packBean);
        packBean.setOrderByStr(mesProdRouteCfg.orderBy());
        return packBean;
    }

    /**
     * MES班次信息查询条件封装
     *
     * @param shift
     * @return
     */
    public static DdlPackBean getMesShift(MesShift shift, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(shift, organizeCode);
        if (StringUtils.isNotEmpty(shift.getShiftCode())) {
            DdlPreparedPack.getStringLikerPack(shift.getShiftCode(), "shiftCode", packBean);
        }
        if (StringUtils.isNotEmpty(shift.getShiftName())) {
            DdlPreparedPack.getStringLikerPack(shift.getShiftName(), "shiftName", packBean);
        }
        if (StringUtils.isNotEmpty(shift.getWorkCenterCode())) {
            DdlPreparedPack.getStringEqualPack(shift.getWorkCenterCode(), "workCenterCode", packBean);
        }

        return packBean;
    }

    /**
     * MES班次休息信息查询条件封装
     *
     * @param shiftRest
     * @return
     */
    public static DdlPackBean getMesShiftRest(MesShiftRest shiftRest, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(shiftRest, organizeCode);
        if (StringUtils.isNotEmpty(shiftRest.getWorkCenterCode())) {
            DdlPreparedPack.getStringEqualPack(shiftRest.getWorkCenterCode(), "workCenterCode", packBean);
        }
        if (StringUtils.isNotEmpty(shiftRest.getShiftCode())) {
            DdlPreparedPack.getStringEqualPack(shiftRest.getShiftCode(), "shiftCode", packBean);
        }

        return packBean;
    }
/******************created by wynne*************/
    /**
     * MES 报废信息查询
     *
     * @param mesScrap
     * @return
     */
    public static DdlPackBean getMesScrap(MesScrap mesScrap, String organizeCode) {
        DdlPackBean packBean = getAllBaseData(organizeCode);
        if (StringUtils.isNotEmpty(mesScrap.getScrapCode())) {
            DdlPreparedPack.getStringLikerPack(mesScrap.getScrapCode(), "scrapCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesScrap.getScrapName())) {
            DdlPreparedPack.getStringLikerPack(mesScrap.getScrapName(), "scrapName", packBean);
        }
        if (mesScrap.getIsValid() != null) {
            DdlPreparedPack.getNumEqualPack(mesScrap.getIsValid(), "isValid", packBean);
        }
        return packBean;
    }

    /**
     * MES PCN系统配置信息条件查询
     *
     * @param mesConfig
     * @return
     */
    public static DdlPackBean getMesConfig(MesConfig mesConfig, String organizeCode) {
        DdlPackBean packBean = getAllBaseData(organizeCode);
        if (StringUtils.isNotEmpty(mesConfig.getCfgCode())) {
            DdlPreparedPack.getStringLikerPack(mesConfig.getCfgCode(), "cfgCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesConfig.getCfgName())) {
            DdlPreparedPack.getStringLikerPack(mesConfig.getCfgName(), "cfgName", packBean);
        }
        if (mesConfig.getIsValid() != null) {
            DdlPreparedPack.getNumEqualPack(mesConfig.getIsValid(), "isValid", packBean);
        }
        return packBean;
    }

    /**
     * MES 维修信息条件查询
     *
     * @param mesRepair
     * @return
     */
    public static DdlPackBean getMesRepair(MesRepair mesRepair, String organizeCode) {
        DdlPackBean packBean = getAllBaseData(organizeCode);
        if (StringUtils.isNotEmpty(mesRepair.getRepairCode())) {
            DdlPreparedPack.getStringLikerPack(mesRepair.getRepairCode(), "repairCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesRepair.getRepairName())) {
            DdlPreparedPack.getStringLikerPack(mesRepair.getRepairName(), "repairName", packBean);
        }
        if (mesRepair.getRepairType() != null) {
            DdlPreparedPack.getNumEqualPack(mesRepair.getRepairType(), "repairType", packBean);
        }
        if (mesRepair.getIsValid() != null) {
            DdlPreparedPack.getNumEqualPack(mesRepair.getIsValid(), "isValid", packBean);
        }

        return packBean;
    }

    /**
     * MES 上传文件FastDfs封装
     *
     * @param mesESOP
     * @return
     */
    public static DdlPackBean getMesESOPExcludeById(MesESOP mesESOP, String org) {
        DdlPackBean packBean = getAllBaseData(org);
        DdlPreparedPack.getStringEqualPack(mesESOP.getPartNo(), "partNo", packBean);
        DdlPreparedPack.getStringEqualPack(mesESOP.getRouteCode(), "routeCode", packBean);
        DdlPreparedPack.getStringEqualPack(mesESOP.getProcessCode(), "processCode", packBean);
        DdlPreparedPack.getStringEqualPack(mesESOP.getStepCode(), "stepCode", packBean);
        DdlPreparedPack.getNumEqualPack(mesESOP.getStepSeq(), "stepSeq", packBean);
        DdlPreparedPack.getStringEqualPack(mesESOP.getWorkCenterCode(), "workCenterCode", packBean);
        DdlPreparedPack.getStringEqualPack(mesESOP.getWorkCellCode(), "workCellCode", packBean);
        DdlPreparedPack.getNumNOEqualPack(mesESOP.getId(), "id", packBean);
        return packBean;
    }

    public static DdlPackBean getMesESOP(MesESOP mesESOP, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesESOP, organizeCode);
        if (StringUtils.isNotEmpty(mesESOP.getWorkCenterCode())) {
            DdlPreparedPack.getStringEqualPack(mesESOP.getWorkCenterCode(), "workCenterCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesESOP.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(mesESOP.getPartNo(), "partNo", packBean);
        }

        return packBean;
    }

    /**
     * 事件分页获取封装
     *
     * @param mesEvent
     * @param
     * @return
     */
    public static DdlPackBean getMesEvent(MesEvent mesEvent) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesEvent, mesEvent.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(mesEvent.getButtonCode(), "buttonCode", packBean);
        DdlPreparedPack.getStringLikerPack(mesEvent.getEventCode(), "eventCode", packBean);
        DdlPreparedPack.getStringLikerPack(mesEvent.getEventName(), "eventName", packBean);
        return packBean;
    }

    public static DdlPackBean getMesEventExcludeById(MesEvent mesEvent) {
        DdlPackBean packBean = getAllBaseData(mesEvent.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(mesEvent.getEventCode(), "eventCode", packBean);
        DdlPreparedPack.getNumNOEqualPack(mesEvent.getId(), "id", packBean);
        return packBean;
    }

    public static DdlPackBean getMesEventByButtonCode(String buttonCode, String org) {
        DdlPackBean packBean = getAllBaseData(org);
        DdlPreparedPack.getStringEqualPack(buttonCode, "buttonCode", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), "isValid", packBean);
        return packBean;
    }

    public static DdlPackBean getMesEventByEventCode(MesEvent mesEvent) {
        DdlPackBean packBean = getAllBaseData(mesEvent.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(mesEvent.getEventCode(), "eventCode", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), "isValid", packBean);
        return packBean;
    }

    public static DdlPackBean getMesEventByEventName(MesEvent mesEvent) {
        DdlPackBean packBean = getAllBaseData(mesEvent.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(mesEvent.getEventName(), "eventName", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), "isValid", packBean);
        return packBean;
    }

    public static DdlPackBean getMesActionByActionCode(MesAction mesAction, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesAction, organizeCode);
        DdlPreparedPack.getStringEqualPack(mesAction.getActionCode(), "actionCode", packBean);
        return packBean;
    }

    public static DdlPackBean getMesActionByActionName(MesAction mesAction, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesAction, organizeCode);
        DdlPreparedPack.getStringEqualPack(mesAction.getActionName(), "actionName", packBean);
        return packBean;
    }

    public static DdlPackBean getMesActionExcludeById(MesAction mesAction) {
        DdlPackBean packBean = getAllBaseData(mesAction.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(mesAction.getActionCode(), "actionCode", packBean);
        DdlPreparedPack.getNumNOEqualPack(mesAction.getId(), "id", packBean);
        return packBean;
    }

    /**
     * 动作分页获取封装
     *
     * @param mesAction
     * @return
     */
    public static DdlPackBean getMesAction(MesAction mesAction) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesAction, mesAction.getOrganizeCode());
        DdlPreparedPack.getStringRightLikerPack(mesAction.getActionCode(), "actionCode", packBean);
        DdlPreparedPack.getStringLikerPack(mesAction.getActionName(), "actionName", packBean);
        DdlPreparedPack.getNumEqualPack(mesAction.getActionType(), "actionType", packBean);

        return packBean;
    }

    /**
     * 函数分页获取封装
     *
     * @param mesMethod
     * @return
     */
    public static DdlPackBean getMesMethod(MesMethod mesMethod) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesMethod, mesMethod.getOrganizeCode());
        DdlPreparedPack.getStringRightLikerPack(mesMethod.getMethodCode(), "methodCode", packBean);
        DdlPreparedPack.getStringLikerPack(mesMethod.getMethodName(), "methodName", packBean);
        DdlPreparedPack.getStringRightLikerPack(mesMethod.getCallClass(), "callClass", packBean);

        return packBean;
    }

    public static DdlPackBean getMesMethodByMethodCode(MesMethod mesMethod) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesMethod, mesMethod.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(mesMethod.getMethodCode(), "methodCode", packBean);
        return packBean;
    }

    public static DdlPackBean getMesMethodByMethodName(MesMethod mesMethod) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesMethod, mesMethod.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(mesMethod.getMethodName(), "methodName", packBean);
        return packBean;
    }

    /**
     * 事件动作分页获取封装
     *
     * @param mesActionMethod
     * @return
     */
    public static DdlPackBean getMesActionMethod(MesActionMethod mesActionMethod) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesActionMethod, mesActionMethod.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(mesActionMethod.getActionCode(), "actionCode", packBean);
        DdlPreparedPack.getStringLikerPack(mesActionMethod.getMethodCode(), "methodCode", packBean);
        return packBean;
    }

    /**
     * 事件动作分页获取封装
     *
     * @param mesEventAction
     * @param organizeCode
     * @return
     */
    public static DdlPackBean getMesEventAction(MesEventAction mesEventAction, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesEventAction, organizeCode);
        if (StringUtils.isNotEmpty(mesEventAction.getOrganizeCode())) {
            DdlPreparedPack.getStringEqualPack(mesEventAction.getOrganizeCode(), "organizeCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesEventAction.getEventCode())) {
            DdlPreparedPack.getStringLikerPack(mesEventAction.getEventCode(), "eventCode", packBean);
        }
        if (StringUtils.isNotEmpty(mesEventAction.getActionCode())) {
            DdlPreparedPack.getStringLikerPack(mesEventAction.getActionCode(), "actionCode", packBean);
        }

        return packBean;
    }

    /******************created by wynne*************/
    /**
     * MES工序信息查询条件封装
     *
     * @param process
     * @return
     */
    public static DdlPackBean getMesProcess(MesProcess process, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(process, organizeCode);
        if (StringUtils.isNotEmpty(process.getProcessCode())) {
            DdlPreparedPack.getStringLikerPack(process.getProcessCode(), "processCode", packBean);
        }
        if (StringUtils.isNotEmpty(process.getProcessName())) {
            DdlPreparedPack.getStringLikerPack(process.getProcessName(), "processName", packBean);
        }

        return packBean;
    }

    /**
     * MES工步信息查询条件封装
     *
     * @param step
     * @return
     */
    public static DdlPackBean getMesStep(MesStep step, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(step, organizeCode);
        if (StringUtils.isNotEmpty(step.getStepCode())) {
            DdlPreparedPack.getStringLikerPack(step.getStepCode(), "stepCode", packBean);
        }
        if (StringUtils.isNotEmpty(step.getStepName())) {
            DdlPreparedPack.getStringLikerPack(step.getStepName(), "stepName", packBean);
        }
        if (StringUtils.isNotEmpty(step.getStepType())) {
            DdlPreparedPack.getStringLikerPack(step.getStepType(), "stepType", packBean);
        }

        return packBean;
    }

    /**
     * MES工步参数信息查询条件封装
     *
     * @param stepParam
     * @return
     */
    public static DdlPackBean getMesStepParam(MesStepParam stepParam, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(stepParam, organizeCode);
        if (StringUtils.isNotEmpty(stepParam.getStepCode())) {
            DdlPreparedPack.getStringEqualPack(stepParam.getStepCode(), "stepCode", packBean);
        }
        if (StringUtils.isNotEmpty(stepParam.getParamCode())) {
            DdlPreparedPack.getStringLikerPack(stepParam.getParamCode(), "paramCode", packBean);
        }
        if (StringUtils.isNotEmpty(stepParam.getParamName())) {
            DdlPreparedPack.getStringLikerPack(stepParam.getParamName(), "paramName", packBean);
        }

        return packBean;
    }

    /**
     * MES工序工作单元对应关系查询条件封装
     *
     * @param routeProcessCell
     * @return
     */
    public static DdlPackBean getMesRouteProcessCell(MesRouteProcessCell routeProcessCell, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(routeProcessCell, organizeCode);
        if (StringUtils.isNotEmpty(routeProcessCell.getRouteCode())) {
            DdlPreparedPack.getStringEqualPack(routeProcessCell.getRouteCode(), "routeCode", packBean);
        }
        if (StringUtils.isNotEmpty(routeProcessCell.getProcessCode())) {
            DdlPreparedPack.getStringEqualPack(routeProcessCell.getProcessCode(), "processCode", packBean);
        }
        if (StringUtils.isNotEmpty(routeProcessCell.getWorkCellCode())) {
            DdlPreparedPack.getStringEqualPack(routeProcessCell.getWorkCellCode(), "workCellCode", packBean);
        }
        if (StringUtils.isNotEmpty(routeProcessCell.getWorkCenterCode())) {
            DdlPreparedPack.getStringEqualPack(routeProcessCell.getWorkCenterCode(), "workCenterCode", packBean);
        }

        return packBean;
    }

    /**
     * MES BOM信息查询条件封装
     *
     * @param bom
     * @return
     */
    public static DdlPackBean getMesBom(MesBom bom, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(bom, organizeCode);
        if (StringUtils.isNotEmpty(bom.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(bom.getPartNo(), "partNo", packBean);
        }
        if (StringUtils.isNotEmpty(bom.getItemPartNo())) {
            DdlPreparedPack.getStringLikerPack(bom.getItemPartNo(), "itemPartNo", packBean);
        }
        if (StringUtils.isNotEmpty(bom.getBomVersion())) {
            DdlPreparedPack.getStringLikerPack(bom.getBomVersion(), "bomVersion", packBean);
        }

        return packBean;
    }

    /**
     * MES工序BOM信息查询条件封装
     *
     * @param processBom
     * @return
     */
    public static DdlPackBean getMesProcessBom(MesProcessBom processBom, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(processBom, organizeCode);
        if (StringUtils.isNotEmpty(processBom.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(processBom.getPartNo(), "partNo", packBean);
        }
        if (StringUtils.isNotEmpty(processBom.getItemPartNo())) {
            DdlPreparedPack.getStringLikerPack(processBom.getItemPartNo(), "itemPartNo", packBean);
        }
        if (StringUtils.isNotEmpty(processBom.getProcessCode())) {
            DdlPreparedPack.getStringLikerPack(processBom.getProcessCode(), "processCode", packBean);
        }

        return packBean;
    }

    /**
     * MES 客户信息查询条件封装
     *
     * @param customer
     * @return
     */
    public static DdlPackBean getMesCustomer(MesCustomer customer, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(customer, organizeCode);
        if (StringUtils.isNotEmpty(customer.getCustomerCode())) {
            DdlPreparedPack.getStringLikerPack(customer.getCustomerCode(), "customerCode", packBean);
        }
        if (StringUtils.isNotEmpty(customer.getCustomerName())) {
            DdlPreparedPack.getStringLikerPack(customer.getCustomerName(), "customerName", packBean);
        }

        return packBean;
    }

    /**
     * MES 客户产线信息查询条件封装
     *
     * @param custProdLine
     * @return
     */
    public static DdlPackBean getMesCustProdLine(MesCustProdLine custProdLine, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(custProdLine, organizeCode);
        if (StringUtils.isNotEmpty(custProdLine.getCustProdLineCode())) {
            DdlPreparedPack.getStringLikerPack(custProdLine.getCustProdLineCode(), "custProdLineCode", packBean);
        }
        if (StringUtils.isNotEmpty(custProdLine.getCustProdLineName())) {
            DdlPreparedPack.getStringLikerPack(custProdLine.getCustProdLineName(), "custProdLineName", packBean);
        }

        return packBean;
    }

    /**
     * MES 客户零件关系信息查询条件封装
     *
     * @param customerPart
     * @return
     */
    public static DdlPackBean getMesCustomerPart(MesCustomerPart customerPart, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(customerPart, organizeCode);
        if (StringUtils.isNotEmpty(customerPart.getCustomerCode())) {
            DdlPreparedPack.getStringEqualPack(customerPart.getCustomerCode(), "customerCode", packBean);
        }
        if (StringUtils.isNotEmpty(customerPart.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(customerPart.getPartNo(), "partNo", packBean);
        }
        if (StringUtils.isNotEmpty(customerPart.getCustomerPartNo())) {
            DdlPreparedPack.getStringLikerPack(customerPart.getCustomerPartNo(), "customerPartNo", packBean);
        }

        return packBean;
    }

    /**
     * MES 设备关键数据信息查询条件封装
     *
     * @param keyData
     * @return
     */
    public static DdlPackBean getMesKeyData(MesKeyData keyData, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(keyData, organizeCode);
        if (StringUtils.isNotEmpty(keyData.getKeyDataCode())) {
            DdlPreparedPack.getStringLikerPack(keyData.getKeyDataCode(), "keyDataCode", packBean);
        }
        if (StringUtils.isNotEmpty(keyData.getKeyDataName())) {
            DdlPreparedPack.getStringLikerPack(keyData.getKeyDataName(), "keyDataName", packBean);
        }

        return packBean;
    }

    /**
     * MES 物料关键数据关系信息查询条件封装
     *
     * @param kpData
     * @return
     */
    public static DdlPackBean getMesKpData(MesKpData kpData, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(kpData, organizeCode);
        DdlPreparedPack.getStringLikerPack(kpData.getPartNo(), "partNo", packBean);
        DdlPreparedPack.getStringLikerPack(kpData.getKeyDataCode(), "keyDataCode", packBean);
        return packBean;
    }

    /**
     * MES 产品配置类型信息查询条件封装
     *
     * @param prodCfgType
     * @return
     */
    public static DdlPackBean getMesProdCfgType(MesProdCfgType prodCfgType, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(prodCfgType, organizeCode);
        if (StringUtils.isNotEmpty(prodCfgType.getProdCfgTypeCode())) {
            DdlPreparedPack.getStringLikerPack(prodCfgType.getProdCfgTypeCode(), "prodCfgTypeCode", packBean);
        }
        if (StringUtils.isNotEmpty(prodCfgType.getProdCfgTypeName())) {
            DdlPreparedPack.getStringLikerPack(prodCfgType.getProdCfgTypeName(), "prodCfgTypeName", packBean);
        }

        return packBean;
    }

    /**
     * MES 产品配置信息查询条件封装
     *
     * @param
     * @return
     */

    public static DdlPackBean getMesProdCfgExcludeById(MesProdRouteCfg mesProdRouteCfg, String org) {
        DdlPackBean packBean = getAllBaseData(org);
        DdlPreparedPack.getStringEqualPack(mesProdRouteCfg.getPartNo(), "partNo", packBean);
        DdlPreparedPack.getStringEqualPack(mesProdRouteCfg.getRouteCode(), "routeCode", packBean);
        DdlPreparedPack.getStringEqualPack(mesProdRouteCfg.getWorkCenterCode(), "workCenterCode", packBean);
        DdlPreparedPack.getNumNOEqualPack(mesProdRouteCfg.getId(), "id", packBean);
        return packBean;
    }

    public static DdlPackBean getMesProdCfg(MesProdCfg prodCfg, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(prodCfg, organizeCode);
        if (StringUtils.isNotEmpty(prodCfg.getProdCfgCode())) {
            DdlPreparedPack.getStringLikerPack(prodCfg.getProdCfgCode(), "prodCfgCode", packBean);
        }
        if (StringUtils.isNotEmpty(prodCfg.getProdCfgName())) {
            DdlPreparedPack.getStringLikerPack(prodCfg.getProdCfgName(), "prodCfgName", packBean);
        }
        if (StringUtils.isNotEmpty(prodCfg.getProdCfgTypeCode())) {
            DdlPreparedPack.getStringEqualPack(prodCfg.getProdCfgTypeCode(), "prodCfgTypeCode", packBean);
        }

        return packBean;
    }

    /**
     * MES 产品配置关系信息查询条件封装
     *
     * @param prodCfgDetail
     * @return
     */
    public static DdlPackBean getMesProdCfgDetail(MesProdCfgDetail prodCfgDetail, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(prodCfgDetail, organizeCode);
        if (StringUtils.isNotEmpty(prodCfgDetail.getProdCfgCode())) {
            DdlPreparedPack.getStringEqualPack(prodCfgDetail.getProdCfgCode(), "prodCfgCode", packBean);
        }
        if (StringUtils.isNotEmpty(prodCfgDetail.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(prodCfgDetail.getPartNo(), "partNo", packBean);
        }

        return packBean;
    }

    /**
     * MES 物料信息查询条件封装
     *
     * @param part
     * @return
     */
    public static DdlPackBean getMesPart(MesPart part, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(part, organizeCode);
        if (StringUtils.isNotEmpty(part.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(part.getPartNo(), "partNo", packBean);
        }
        if (StringUtils.isNotEmpty(part.getPartName())) {
            DdlPreparedPack.getStringLikerPack(part.getPartName(), "partName", packBean);
        }
        if (StringUtils.isNotEmpty(part.getCategoryCode1())) {
            DdlPreparedPack.getStringEqualPack(part.getCategoryCode1(), "categoryCode1", packBean);
        }
        if (StringUtils.isNotEmpty(part.getCategoryCode2())) {
            DdlPreparedPack.getStringEqualPack(part.getCategoryCode2(), "categoryCode2", packBean);
        }
        if (StringUtils.isNotEmpty(part.getCategoryCode3())) {
            DdlPreparedPack.getStringEqualPack(part.getCategoryCode3(), "categoryCode3", packBean);
        }

        return packBean;
    }

    /**
     * MES 物料分类信息查询条件封装
     *
     * @param partCategory
     * @return
     */
    public static DdlPackBean getMesPartCategory(MesPartCategory partCategory, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(partCategory, organizeCode);
        if (StringUtils.isNotEmpty(partCategory.getCategoryCode())) {
            DdlPreparedPack.getStringLikerPack(partCategory.getCategoryCode(), "categoryCode", packBean);
        }
        if (StringUtils.isNotEmpty(partCategory.getCategoryName())) {
            DdlPreparedPack.getStringLikerPack(partCategory.getCategoryName(), "categoryName", packBean);
        }

        return packBean;
    }

    /**
     * MES 包装规格信息查询条件封装
     *
     * @param packSpec
     * @return
     */
    public static DdlPackBean getMesPackSpec(MesPackSpec packSpec, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(packSpec, organizeCode);
        if (StringUtils.isNotEmpty(packSpec.getSpecCode())) {
            DdlPreparedPack.getStringLikerPack(packSpec.getSpecCode(), "specCode", packBean);
        }
        if (StringUtils.isNotEmpty(packSpec.getSpecName())) {
            DdlPreparedPack.getStringLikerPack(packSpec.getSpecName(), "specName", packBean);
        }
        if (StringUtils.isNotEmpty(packSpec.getParentSpec())) {
            DdlPreparedPack.getStringEqualPack(packSpec.getParentSpec(), "parentSpec", packBean);
        }

        return packBean;
    }

    /**
     * MES 产品类型信息查询条件封装
     *
     * @param produceCategory
     * @return
     */
    public static DdlPackBean getMesProduceCategory(MesProduceCategory produceCategory, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(produceCategory, organizeCode);
        if (StringUtils.isNotEmpty(produceCategory.getProduceCategoryCode())) {
            DdlPreparedPack.getStringLikerPack(produceCategory.getProduceCategoryCode(), "produceCategoryCode", packBean);
        }
        if (StringUtils.isNotEmpty(produceCategory.getProduceCategoryName())) {
            DdlPreparedPack.getStringLikerPack(produceCategory.getProduceCategoryName(), "produceCategoryName", packBean);
        }

        return packBean;
    }

    /**
     * MES 关键件条码规则信息查询条件封装
     *
     * @param kpsnRule
     * @return
     */
    public static DdlPackBean getMesKpsnRule(MesKpsnRule kpsnRule, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(kpsnRule, organizeCode);
        if (StringUtils.isNotEmpty(kpsnRule.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(kpsnRule.getPartNo(), "partNo", packBean);
        }

        return packBean;
    }

    /**
     * MES 产品排程清单信息查询条件封装
     *
     * @param partScheduleBom
     * @return
     */
    public static DdlPackBean getMesPartScheduleBom(MesPartScheduleBom partScheduleBom, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(partScheduleBom, organizeCode);
        if (StringUtils.isNotEmpty(partScheduleBom.getPartNo())) {
            DdlPreparedPack.getStringLikerPack(partScheduleBom.getPartNo(), "partNo", packBean);
        }
        if (StringUtils.isNotEmpty(partScheduleBom.getItemPartNo())) {
            DdlPreparedPack.getStringLikerPack(partScheduleBom.getItemPartNo(), "itemPartNo", packBean);
        }

        return packBean;
    }

    /**
     * MES对象与dao对应关系查询条件封装
     *
     * @param objectDao
     * @return
     */
    public static DdlPackBean getMesObjectDao(MesObjectDao objectDao, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(objectDao, organizeCode);
        if (StringUtils.isNotEmpty(objectDao.getObjectCode())) {
            DdlPreparedPack.getStringLikerPack(objectDao.getObjectCode(), "objectCode", packBean);
        }
        if (StringUtils.isNotEmpty(objectDao.getDaoClass())) {
            DdlPreparedPack.getStringLikerPack(objectDao.getDaoClass(), "daoClass", packBean);
        }

        return packBean;
    }

    /**
     * MES-PCN同步配置查询条件封装
     *
     * @param pcnSyncCfg
     * @return
     */
    public static DdlPackBean getMesPcnSyncCfg(MesPcnSyncCfg pcnSyncCfg, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(pcnSyncCfg, organizeCode);
        if (StringUtils.isNotEmpty(pcnSyncCfg.getObjectCode())) {
            DdlPreparedPack.getStringLikerPack(pcnSyncCfg.getObjectCode(), "objectCode", packBean);
        }
        if (StringUtils.isNotEmpty(pcnSyncCfg.getPcnCode())) {
            DdlPreparedPack.getStringLikerPack(pcnSyncCfg.getPcnCode(), "pcnCode", packBean);
        }
        if (null != pcnSyncCfg.getSyncType()) {
            DdlPreparedPack.getNumEqualPack(pcnSyncCfg.getSyncType(), "syncType", packBean);
        }

        return packBean;
    }

    /**
     * MES工作单元参数配置查询条件封装
     *
     * @param workCellParamCfg
     * @return
     */
    public static DdlPackBean getMesWorkCellParamCfg(MesWorkCellParamCfg workCellParamCfg, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(workCellParamCfg, organizeCode);
        if (StringUtils.isNotEmpty(workCellParamCfg.getWorkCellCode())) {
            DdlPreparedPack.getStringLikerPack(workCellParamCfg.getWorkCellCode(), "workCellCode", packBean);
        }
        if (StringUtils.isNotEmpty(workCellParamCfg.getParamCode())) {
            DdlPreparedPack.getStringLikerPack(workCellParamCfg.getParamCode(), "paramCode", packBean);
        }

        return packBean;
    }

    /**
     * MES工作单元参数查询条件封装
     *
     * @param workCellParam
     * @return
     */
    public static DdlPackBean getMesWorkCellParam(MesWorkCellParam workCellParam, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(workCellParam, organizeCode);
        if (StringUtils.isNotEmpty(workCellParam.getParamCode())) {
            DdlPreparedPack.getStringLikerPack(workCellParam.getParamCode(), "paramCode", packBean);
        }
        if (null != workCellParam.getParamType()) {
            DdlPreparedPack.getNumEqualPack(workCellParam.getParamType(), "paramType", packBean);
        }
        if (null != workCellParam.getParamModel()) {
            DdlPreparedPack.getNumEqualPack(workCellParam.getParamModel(), "paramModel", packBean);
        }
        return packBean;
    }


    /**
     * MES工作单元队列查询条件封装
     *
     * @param workCellPoint
     * @return
     */
    public static DdlPackBean getMesWorkCellPoint(MesWorkCellPoint workCellPoint, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(workCellPoint, organizeCode);
        if (StringUtils.isNotEmpty(workCellPoint.getWorkCellCode())) {
            DdlPreparedPack.getStringEqualPack(workCellPoint.getWorkCellCode(), "workCellCode", packBean);
        }
        return packBean;
    }

    /**
     * PLC设备信息配置查询条件封装
     *
     * @param plcConfigure
     * @return
     */
    public static DdlPackBean getMesPLCConfigure(MesPLCConfigure plcConfigure, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(plcConfigure, organizeCode);
        if (StringUtils.isNotEmpty(plcConfigure.getAreaCode())) {
            DdlPreparedPack.getStringEqualPack(plcConfigure.getAreaCode(), "areaCode", packBean);
        }
        if (StringUtils.isNotEmpty(plcConfigure.getWorkCenterCode())) {
            DdlPreparedPack.getStringEqualPack(plcConfigure.getWorkCenterCode(), "workCenterCode", packBean);
        }
        if (StringUtils.isNotEmpty(plcConfigure.getWorkCellCode())) {
            DdlPreparedPack.getStringEqualPack(plcConfigure.getWorkCellCode(), "workCellCode", packBean);
        }
        return packBean;
    }


    /**
     * Mes条码生成规则
     *
     * @param numberRule
     * @param organizeCode
     * @return
     */
    public static DdlPackBean getMesNumberRule(MesNumberRule numberRule, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(numberRule, organizeCode);
        if (StringUtils.isNotEmpty(numberRule.getRuleCode())) {
            DdlPreparedPack.getStringLikerPack(numberRule.getRuleCode(), "ruleCode", packBean);
        }
        if (StringUtils.isNotEmpty(numberRule.getNumberRule())) {
            DdlPreparedPack.getStringLikerPack(numberRule.getNumberRule(), "numberRule", packBean);
        }
        if (StringUtils.isNotEmpty(numberRule.getPrefix())) {
            DdlPreparedPack.getNumEqualPack(numberRule.getPrefix(), "prefix", packBean);
        }
        if (null != numberRule.getIsCycle()) {
            DdlPreparedPack.getNumEqualPack(numberRule.getIsCycle(), "isCycle", packBean);
        }

        packBean.setOrderByStr(numberRule.orderBy());
        return packBean;
    }

    /**
     * mes-pcn定时任务清单
     *
     * @param mesPcnTask
     * @param organizeCode
     * @return
     */
    public static DdlPackBean getMesPcnTask(MesPcnTask mesPcnTask, String organizeCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(mesPcnTask, organizeCode);
        DdlPreparedPack.getStringLikerPack(mesPcnTask.getTaskCode(), "taskCode", packBean);
        DdlPreparedPack.getStringLikerPack(mesPcnTask.getTaskName(), "taskName", packBean);
        packBean.setOrderByStr(mesPcnTask.orderBy());
        return packBean;
    }

    /**
     * 条码生成规则校验同一机构下条码规则唯一性
     *
     * @param numberRule
     * @param id
     * @param organizeCode
     * @return
     */
    public static DdlPackBean getMesNumberRuleCheck(String numberRule, Long id, String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        DdlPreparedPack.getStringEqualPack(numberRule, "numberRule", packBean);
        if (null != id) {
            DdlPreparedPack.getNumNOEqualPack(id, "id", packBean);
        }
        return packBean;
    }

    /**
     * 系统业务动作
     * @param organizeCode
     * @return
     */
    public static DdlPackBean getMesActionAllData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, "organizeCode", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_DEAL.NO.getValue(), "isDeleted", packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), "isValid", packBean);
        return packBean;
    }
}
