package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 开口合同主表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-09-09 11:14
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SWEB_PROCUREMENT_PLAN_ORDER")
@Api("开口合同主表")
public class SwebProcurementPlanOrder extends BaseBean {

    private static final long serialVersionUID = -4332932784803175933L;
    @Column(name = "ORDER_NO")
    @ApiParam(value = "合同号")
    private String orderNo;

    @Column(name = "VENDOR_CODE")
    @ApiParam(value = "物料名称")
    private String vendorCode;

    @Column(name = "VENDOR_NAME")
    @ApiParam(value = "物料名称")
    private String vendorName;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料名称")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam(value = "物料名称")
    private String partName;

    @Column(name = "CONSIGNMENT")
    @ApiParam(value = "是否寄售")
    private Integer consignment;

}
