package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 库存初始化表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2019-08-01 11:44
 * @Modify:
 **/

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_STOCK_INITIALIZE")
@Api("库存初始化信息")
public class WmsStockInitialize extends BaseBean {

    @Column(name = "WH_NO")
    @ApiParam(value = "仓库代码")
    @AnnoOutputColumn
    private String whNo;

    @Column(name = "ZONE_NO")
    @ApiParam(value = "存储区代码")
    @AnnoOutputColumn
    private String zoneNo;

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位代码")
    @AnnoOutputColumn
    private String locateNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编号")
    @AnnoOutputColumn
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam(value = "物料名称")
    @AnnoOutputColumn
    private String partNameRdd;

    @Column(name = "UNIT")
    @ApiParam(value = "单位")
    @AnnoOutputColumn
    private String unit;

    @Column(name = "QTY")
    @ApiParam(value = "可用数量", example = "0")
    @AnnoOutputColumn
    private Double qty = 0d;

    @Column(name = "SNP")
    @ApiParam(value = "标准包装", example = "1")
    @AnnoOutputColumn
    private Double snp;

    @Column(name = "STATUS")
    @ApiParam(value = "状态", example = "0")
    private Integer status;

    @ApiParam(value ="工厂代码")
    @AnnoOutputColumn
    private String currentOrganizeCode;

}
